gRPC C#
gRPC C#
Namespaces
Grpc.Core.Logging
ConsoleLogger Class
ConsoleLogger Methods
Debug Method
Error Method
ForType(T) Method
Info Method
Warning Method

ConsoleLogger Debug Method

Logs a message with severity Debug.

Namespace: Grpc.Core.Logging
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public void Debug(
    	string message,
    	params Object[] formatArgs
    )

    Public Sub Debug (
    	message As String,
    	ParamArray formatArgs As Object()
    )

    public:
    virtual void Debug(
    	String^ message,
    	... array<Object^>^ formatArgs
    ) sealed

    abstract Debug :
            message : string *
            formatArgs : Object[] -> unit
    override Debug :
            message : string *
            formatArgs : Object[] -> unit

#### Parameters

message
  Type: System
  String

  [Missing <param name="message"/> documentation for "M:Grpc.Core.Logging.ConsoleLogger.Debug(System.String,System.Object[])"]

formatArgs
  Type:
  System
  Object

  [Missing <param name="formatArgs"/> documentation for "M:Grpc.Core.Logging.ConsoleLogger.Debug(System.String,System.Object[])"]

#### Implements

ILogger
Debug(String,
Object
)
See Also

#### Reference

ConsoleLogger Class
Grpc.Core.Logging Namespace